<template>
  <div class="manual">
    <div class="manual-container">
      <div class="manual-side">
        <div class="manual-side-warp">
          <ReSidebar
              :side-bar-list="sideList"
              @click="handleSideClick"
              :active-index="activeIndex"
          />
        </div>
      </div>
      <div class="manual-main">
        <div class="e-book-body" v-show="activeIndex === 0">
          <div class="top">
            <u-tabs :tabs-data="eBookTabs">
            </u-tabs>
          </div>
          <div class="e-book-bottom">
            <div class="left">
              <ul>
                <li v-for="(item,index) in navList" :key="index">
                  {{ item }}
                  <svg-icon icon-class="manual_drop_down" class="drop-down"></svg-icon>
                </li>
              </ul>
            </div>

            <div class="right">

            </div>
          </div>
        </div>
        <div class="search-body" v-show="activeIndex === 1">
          <div class="search">
            <svg-icon icon-class="manual_search" class="manual-search"></svg-icon>
            <div class="placeholder">
              输入关键字
            </div>
          </div>
        </div>
        <div class="set-body" v-show="activeIndex === 2">
          <u-card left-text="意见反馈" is-arrow color="none" class="item"></u-card>
          <u-card left-text="检查更新" is-arrow color="none" class="item"></u-card>
          <u-card left-text="用户协议和免责声明" is-arrow color="none" class="item"></u-card>

          <img src="../../assets/images/userManual/set_bg.webp" alt="" class="bg">
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import ReSidebar from "@/components/ReSidebar.vue";
import Maintenance from "@/components/setting/Maintenance.vue";
import Version from "@/components/setting/Version.vue";
import Audio from "@/components/setting/Audio.vue";
import Repair from "@/components/setting/Repair.vue";
import Select from "@/components/Select.vue";
import Screen from "@/components/setting/Screen.vue";

export default {
  name: "userManual",
  components: {
    Screen, Select, Repair, Audio, Version, Maintenance,
    ReSidebar,
  },
  data() {
    return {
      sideList: [
        {
          name: "电子手册",
          icon: "manual_e_book",
        },
        {
          name: "搜索",
          icon: "manual_search",
        },
        {
          name: "设置",
          icon: "manual_set",
        },
      ],
      navList: [
        "前言",
        "安全",
        "充电与放电",
        "查看仪表",
        "开启与关闭",
        "驾驶员设定",
        "驾驶辅助",
        "车内驾驶"
      ],
      activeIndex: 0,
      eBookTabs: [{id: 1, name: '电子手册'}, {id: 2, name: '图片索引', disable: true},]
    };
  },
  computed: {},
  methods: {
    handleSideClick(item, index) {
      this.activeIndex = index;
      this.tabsTypeMode = item.icon;
      console.log(item.icon)
    },
  },
};
</script>


<style scoped lang="scss">
.manual {
  width: 100%;
  height: 100%;

  &-container {
    height: 100%;
    display: flex;
  }

  &-side {
    height: calc(100% - 90px);
    margin-top: 44px;
    background: #f6f8fa;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .setting-side-warp {
    height: 875px;
  }

  .manual-main {
    margin-top: 44px;
    box-sizing: border-box;
    padding-top: 61px;
    padding-left: 53px;
    padding-right: 60px;
    width: 100%;

    .e-book-body {

      .top {
        height: 58px;
        margin-bottom: 42px;
      }

      .e-book-bottom {
        display: flex;
        justify-content: space-between;
        width: 100%;

        ul > li {
          margin-bottom: 17px;
          width: 404px;
          height: 80px;
          border-radius: 8px;
          opacity: 1;
          background: #FFFFFF;
          font-size: 38px;
          font-weight: 500;
          line-height: 80px;
          letter-spacing: 0.06em;
          font-feature-settings: "kern" on;
          color: #000000;
          padding: 0 19px;
          display: flex;
          justify-content: space-between;
          align-items: center;

          .drop-down {
            width: 23px;
            height: 13px;
          }
        }

        .right {
          background: url("../../assets/images/userManual/e_book_bg.webp") no-repeat center;
          background-size: cover;
          height: auto;
          width: 100%;
          margin: -10px 0px 20px 30px;

        }
      }
    }

    .search-body {
      position: relative;

      .search {
        outline: none; // 去除默认样式
        border: none;
        width: 100%;
        height: 61px;
        border-radius: 30.5px;
        opacity: 1;
        background: #FFFEFF;
        padding: 0 66px;
        box-sizing: border-box;
        display: flex;
        align-items: center;
      }

      .placeholder {
        display: flex;
        font-size: 28px;
        font-feature-settings: "kern" on;
        color: #999A99;
      }

      .manual-search {
        position: absolute;
        width: 44px;
        height: 44px;
        left: 13px;
        top: 50%;
        transform: translate(0, -50%);
      }
    }

    .set-body {
      position: relative;
      margin-top: 61px;
      box-sizing: border-box;

      .item {
        width: 946px;
        height: 56px;
        margin-bottom: 64px;
        box-sizing: border-box;
      }

      .bg {
        position: absolute;
        right: 57px;
        top: 184px;
        height: 301px;
        width: 419px;
      }
    }
  }
}
</style>
